package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Bopsig;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BopsigMapper {
    int insert(Bopsig record);

    int insertSelective(Bopsig record);

    int updateByPrimaryKeySelective(Bopsig record);

    int updateByPrimaryKey(Bopsig record);

    int deleteByPrimaryKey(Bopsig record);

    int deleteByIds(Collection<Object> collection);

    Bopsig selectByPrimaryKey(Bopsig record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bopsig> dyncRead(Map<String,Object> dyncMap);
}
